with open('communication_vBZvcbm.txt', 'rb') as f:
    all_bytes = f.readlines()
    all_bytes = all_bytes[0] + all_bytes[1]
    for n in range(1,128):
      dec = [0] * len(all_bytes)
      for i in range(len(all_bytes)):
        dec[i] = (ord(all_bytes[i]) + n) % 128
      print(''.join([chr(x) for x in dec]))
      raw_input()

